import request from '@/utils/request'

// 查询评价机构列表
export function listEvaluateAgency(query) {
  return request({
    url: '/hezhi/evaluateAgency/list',
    method: 'get',
    params: query
  })
}

// 查询评价机构详细
export function getEvaluateAgency(evaluateAgencyId) {
  return request({
    url: '/hezhi/evaluateAgency/' + evaluateAgencyId,
    method: 'get'
  })
}

// 新增评价机构
export function addEvaluateAgency(data) {
  return request({
    url: '/hezhi/evaluateAgency',
    method: 'post',
    data: data
  })
}

// 修改评价机构
export function updateEvaluateAgency(data) {
  return request({
    url: '/hezhi/evaluateAgency',
    method: 'put',
    data: data
  })
}

// 删除评价机构
export function delEvaluateAgency(evaluateAgencyId) {
  return request({
    url: '/hezhi/evaluateAgency/' + evaluateAgencyId,
    method: 'delete'
  })
}

// 获取评价机构列表
export function getSelectList() {
  return request({
    url: '/hezhi/evaluateAgency/getSelectList',
    method: 'get'
  })
}
